<span *ngIf="item; else notInCart">
  <button class="alter-quantity border-lightgray" (click)="cart.removeProduct(product)">-</button>
  <input class="amount border-lightgray" disabled [value]="item.amount" />
  <button class="alter-quantity border-lightgray" (click)="cart.addProduct(product)">+</button>
</span>
<ng-template #notInCart>
  <button type="button" class="btn w-100 d-flex d-inline-block border align-items-center justify-content-center"
  (click)="cart.addProduct(product)">
    <i class="fa fa-thin fa-plus orange mr-2"></i> Add
  </button>
</ng-template>
